Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1488612 - Review Request: ghc-esqueleto - Type-safe EDSL for SQL queries on persistent backends
Summary: Review Request: ghc-esqueleto - Type-safe EDSL for SQL queries on persistent ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Robert-André Mauchin
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1485296 1485497 1485501 1485503 1486580 1487901
Blocks: 1176888
TreeView+ depends on / blocked
 
Reported: 2017-09-05 20:24 UTC by Elliott Sales de Andrade
Modified: 2018-02-26 06:48 UTC (History)
3 users (show)

Fixed In Version: ghc-esqueleto-2.5.3-6.fc27
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-02-26 06:48:49 UTC
zebob.m: fedora-review+


Attachments (Terms of Use)

Description Elliott Sales de Andrade 2017-09-05 20:24:04 UTC
Spec URL: http://qulogic.fedorapeople.org//ghc-esqueleto.spec
SRPM URL: http://qulogic.fedorapeople.org//ghc-esqueleto-2.5.3-1.git.0.dd21a5b.fc26.src.rpm

Description:
'esqueleto' is a bare bones, type-safe EDSL for SQL queries that works with
unmodified 'persistent' SQL backends. Its language closely resembles SQL, so
you don't have to learn new concepts, just new syntax, and it's fairly easy to
predict the generated SQL and optimize it for your backend. Most kinds of
errors committed when writing SQL are caught as compile-time errors---although
it is possible to write type-checked 'esqueleto' queries that fail at runtime.

'persistent' is a library for type-safe data serialization. It has many kinds
of backends, such as SQL backends ('persistent-mysql', 'persistent-postgresql',
'persistent-sqlite') and NoSQL backends ('persistent-mongoDB'). While
'persistent' is a nice library for storing and retrieving records, including
with filters, it does not try to support some of the features that are specific
to SQL backends. In particular, 'esqueleto' is the recommended library for
type-safe 'JOIN's on 'persistent' SQL backends. (The alternative is using raw
SQL, but that's error prone and does not offer any composability.)

Currently, 'SELECT's, 'UPDATE's, 'INSERT's and 'DELETE's are supported.
Not all SQL features are available, but most of them can be easily added
(especially functions), so please open an issue or send a pull request if you
need anything that is not covered by 'esqueleto' on
<https://github.com/prowdsponsor/esqueleto/>.

The name of this library means "skeleton" in Portuguese and contains all three
SQL letters in the correct order =). It was inspired by Scala's Squeryl but
created from scratch.

Comment 1 Elliott Sales de Andrade 2017-09-05 20:24:08 UTC
This package built on koji:  https://koji.fedoraproject.org/koji/taskinfo?taskID=21665954

Comment 2 Robert-André Mauchin 2017-09-06 06:40:52 UTC
Hello,


The documentation is too large;

- Large documentation must go in a -doc subpackage. Large could be size
  (~1MB) or number of files.
  Note: Documentation size is 2181120 bytes in 60 files.
  See:
  http://fedoraproject.org/wiki/Packaging/Guidelines#PackageDocumentation

You need to split it into a -doc subpackage.



Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Large documentation must go in a -doc subpackage. Large could be size
  (~1MB) or number of files.
  Note: Documentation size is 2181120 bytes in 60 files.
  See:
  http://fedoraproject.org/wiki/Packaging/Guidelines#PackageDocumentation


===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Development (unversioned) .so files in -devel subpackage, if present.
     Note: Unversioned so-files in private %_libdir subdirectory (see
     attachment). Verify they are not in ld path.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "BSD (3 clause)", "Unknown or generated". 8 files have unknown
     license. Detailed output of licensecheck in /home/bob/packaging/review
     /ghc-esqueleto/review-ghc-esqueleto/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[-]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Scriptlets must be sane, if used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Fully versioned dependency in subpackages if applicable.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[ ]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
     Note: Arch-ed rpms have a total of 2252800 bytes in /usr/share
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: ghc-esqueleto-2.5.3-1.fc26.x86_64.rpm
          ghc-esqueleto-devel-2.5.3-1.fc26.x86_64.rpm
          ghc-esqueleto-2.5.3-1.fc26.src.rpm
ghc-esqueleto.x86_64: W: spelling-error Summary(en_US) backends -> back ends, back-ends, backhands
ghc-esqueleto.x86_64: W: spelling-error %description -l en_US backends -> back ends, back-ends, backhands
ghc-esqueleto.x86_64: W: spelling-error %description -l en_US backend -> backed, back end, back-end
ghc-esqueleto.x86_64: W: spelling-error %description -l en_US runtime -> run time, run-time, rudiment
ghc-esqueleto.x86_64: W: spelling-error %description -l en_US mysql -> myself
ghc-esqueleto.x86_64: W: spelling-error %description -l en_US postgresql -> postgraduate
ghc-esqueleto.x86_64: W: spelling-error %description -l en_US sqlite -> sq lite, sq-lite, satellite
ghc-esqueleto.x86_64: W: spelling-error %description -l en_US mongoDB -> mongoloid
ghc-esqueleto.x86_64: W: spelling-error %description -l en_US composability -> compos ability, compos-ability, comparability
ghc-esqueleto.x86_64: W: spelling-error %description -l en_US https -> HTTP
ghc-esqueleto.x86_64: W: spelling-error %description -l en_US github -> git hub, git-hub, GitHub
ghc-esqueleto.x86_64: W: spelling-error %description -l en_US prowdsponsor -> sponsorship
ghc-esqueleto.x86_64: W: no-documentation
ghc-esqueleto.src: W: spelling-error Summary(en_US) backends -> back ends, back-ends, backhands
ghc-esqueleto.src: W: spelling-error %description -l en_US backends -> back ends, back-ends, backhands
ghc-esqueleto.src: W: spelling-error %description -l en_US backend -> backed, back end, back-end
ghc-esqueleto.src: W: spelling-error %description -l en_US runtime -> run time, run-time, rudiment
ghc-esqueleto.src: W: spelling-error %description -l en_US mysql -> myself
ghc-esqueleto.src: W: spelling-error %description -l en_US postgresql -> postgraduate
ghc-esqueleto.src: W: spelling-error %description -l en_US sqlite -> sq lite, sq-lite, satellite
ghc-esqueleto.src: W: spelling-error %description -l en_US mongoDB -> mongoloid
ghc-esqueleto.src: W: spelling-error %description -l en_US composability -> compos ability, compos-ability, comparability
ghc-esqueleto.src: W: spelling-error %description -l en_US https -> HTTP
ghc-esqueleto.src: W: spelling-error %description -l en_US github -> git hub, git-hub, GitHub
ghc-esqueleto.src: W: spelling-error %description -l en_US prowdsponsor -> sponsorship
3 packages and 0 specfiles checked; 0 errors, 25 warnings.

Comment 4 Robert-André Mauchin 2017-09-06 07:58:16 UTC
All good, package accepted.

Comment 5 Gwyn Ciesla 2017-09-06 13:59:51 UTC
(fedrepo-req-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/ghc-esqueleto

Comment 6 Fedora Update System 2017-10-04 09:20:55 UTC
ghc-http-conduit-2.2.3.2-1.fc27 ghc-http-client-tls-0.3.5.1-1.fc27 ghc-connection-0.2.8-1.fc27 ghc-tls-1.4.0-1.fc27 ghc-x509-validation-1.6.9-1.fc27 ghc-x509-system-1.6.6-1.fc27 ghc-x509-store-1.6.5-1.fc27 ghc-x509-1.7.2-1.fc27 ghc-asn1-parse-0.9.4-3.fc27 ghc-persistent-template-2.5.2-2.fc27 ghc-persistent-sqlite-2.6.2-5.fc27 ghc-free-4.12.4-5.fc27 ghc-esqueleto-2.5.3-2.fc27 ghc-asn1-encoding-0.9.5-1.fc27 ghc-semigroupoids-5.2.1-2.fc27 ghc-profunctors-5.2.1-3.fc27 ghc-persistent-2.7.0-3.fc27 ghc-asn1-types-0.3.2-3.fc27 ghc-bifunctors-5.4.2-2.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-8255647a5f

Comment 7 Fedora Update System 2017-10-06 04:26:49 UTC
ghc-asn1-encoding-0.9.5-1.fc27, ghc-asn1-parse-0.9.4-3.fc27, ghc-asn1-types-0.3.2-3.fc27, ghc-bifunctors-5.4.2-2.fc27, ghc-connection-0.2.8-1.fc27, ghc-esqueleto-2.5.3-2.fc27, ghc-free-4.12.4-5.fc27, ghc-http-client-tls-0.3.5.1-1.fc27, ghc-http-conduit-2.2.3.2-1.fc27, ghc-persistent-2.7.0-3.fc27, ghc-persistent-sqlite-2.6.2-5.fc27, ghc-persistent-template-2.5.2-2.fc27, ghc-profunctors-5.2.1-3.fc27, ghc-semigroupoids-5.2.1-2.fc27, ghc-tls-1.4.0-1.fc27, ghc-x509-1.7.2-1.fc27, ghc-x509-store-1.6.5-1.fc27, ghc-x509-system-1.6.6-1.fc27, ghc-x509-validation-1.6.9-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-8255647a5f

Comment 8 Fedora Update System 2017-10-24 02:14:07 UTC
ghc-asn1-encoding-0.9.5-1.fc27 ghc-asn1-parse-0.9.4-3.fc27 ghc-asn1-types-0.3.2-3.fc27 ghc-bifunctors-5.4.2-2.fc27 ghc-connection-0.2.8-1.fc27 ghc-esqueleto-2.5.3-3.fc27 ghc-free-4.12.4-5.fc27 ghc-http-api-data-0.3.7.1-3.fc27 ghc-http-client-tls-0.3.5.1-1.fc27 ghc-http-conduit-2.2.3.2-1.fc27 ghc-persistent-2.7.0-4.fc27 ghc-persistent-sqlite-2.6.2-6.fc27 ghc-persistent-template-2.5.3-1.fc27 ghc-profunctors-5.2.1-3.fc27 ghc-semigroupoids-5.2.1-2.fc27 ghc-tls-1.4.0-1.fc27 ghc-uri-bytestring-0.3.0.1-1.fc27 ghc-x509-1.7.2-1.fc27 ghc-x509-store-1.6.5-1.fc27 ghc-x509-system-1.6.6-1.fc27 ghc-x509-validation-1.6.9-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-8255647a5f

Comment 9 Fedora Update System 2017-10-25 15:21:42 UTC
ghc-asn1-encoding-0.9.5-1.fc27, ghc-asn1-parse-0.9.4-3.fc27, ghc-asn1-types-0.3.2-3.fc27, ghc-bifunctors-5.4.2-2.fc27, ghc-connection-0.2.8-1.fc27, ghc-esqueleto-2.5.3-3.fc27, ghc-free-4.12.4-5.fc27, ghc-http-api-data-0.3.7.1-3.fc27, ghc-http-client-tls-0.3.5.1-1.fc27, ghc-http-conduit-2.2.3.2-1.fc27, ghc-persistent-2.7.0-4.fc27, ghc-persistent-sqlite-2.6.2-6.fc27, ghc-persistent-template-2.5.3-1.fc27, ghc-profunctors-5.2.1-3.fc27, ghc-semigroupoids-5.2.1-2.fc27, ghc-tls-1.4.0-1.fc27, ghc-uri-bytestring-0.3.0.1-1.fc27, ghc-x509-1.7.2-1.fc27, ghc-x509-store-1.6.5-1.fc27, ghc-x509-system-1.6.6-1.fc27, ghc-x509-validation-1.6.9-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-8255647a5f

Comment 10 Fedora Update System 2017-11-07 06:35:58 UTC
ghc-asn1-encoding-0.9.5-1.fc27 ghc-asn1-parse-0.9.4-3.fc27 ghc-asn1-types-0.3.2-3.fc27 ghc-bifunctors-5.4.2-2.fc27 ghc-connection-0.2.8-1.fc27 ghc-esqueleto-2.5.3-5.fc27 ghc-free-4.12.4-5.fc27 ghc-http-api-data-0.3.7.1-3.fc27 ghc-http-client-tls-0.3.5.1-1.fc27 ghc-http-conduit-2.2.3.2-1.fc27 ghc-persistent-2.7.1-1.fc27 ghc-persistent-sqlite-2.6.3-1.fc27 ghc-persistent-template-2.5.3-3.fc27 ghc-profunctors-5.2.1-3.fc27 ghc-semigroupoids-5.2.1-2.fc27 ghc-tls-1.4.0-1.fc27 ghc-uri-bytestring-0.3.0.1-1.fc27 ghc-x509-1.7.2-1.fc27 ghc-x509-store-1.6.5-1.fc27 ghc-x509-system-1.6.6-1.fc27 ghc-x509-validation-1.6.9-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-8255647a5f

Comment 11 Fedora Update System 2017-11-07 19:13:33 UTC
ghc-asn1-encoding-0.9.5-1.fc27, ghc-asn1-parse-0.9.4-3.fc27, ghc-asn1-types-0.3.2-3.fc27, ghc-bifunctors-5.4.2-2.fc27, ghc-connection-0.2.8-1.fc27, ghc-esqueleto-2.5.3-6.fc27, ghc-free-4.12.4-5.fc27, ghc-http-api-data-0.3.7.1-3.fc27, ghc-http-client-tls-0.3.5.1-1.fc27, ghc-http-conduit-2.2.3.2-1.fc27, ghc-persistent-2.7.1-2.fc27, ghc-persistent-sqlite-2.6.3-2.fc27, ghc-persistent-template-2.5.3-4.fc27, ghc-profunctors-5.2.1-3.fc27, ghc-semigroupoids-5.2.1-2.fc27, ghc-tls-1.4.0-1.fc27, ghc-uri-bytestring-0.3.0.1-1.fc27, ghc-x509-1.7.2-1.fc27, ghc-x509-store-1.6.5-1.fc27, ghc-x509-system-1.6.6-1.fc27, ghc-x509-validation-1.6.9-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-8255647a5f

Comment 12 Fedora Update System 2017-11-11 02:48:23 UTC
ghc-asn1-encoding-0.9.5-1.fc27, ghc-asn1-parse-0.9.4-3.fc27, ghc-asn1-types-0.3.2-3.fc27, ghc-bifunctors-5.4.2-2.fc27, ghc-connection-0.2.8-1.fc27, ghc-esqueleto-2.5.3-6.fc27, ghc-free-4.12.4-5.fc27, ghc-http-api-data-0.3.7.1-3.fc27, ghc-http-client-tls-0.3.5.1-1.fc27, ghc-http-conduit-2.2.3.2-1.fc27, ghc-persistent-2.7.1-2.fc27, ghc-persistent-sqlite-2.6.3-2.fc27, ghc-persistent-template-2.5.3-4.fc27, ghc-profunctors-5.2.1-3.fc27, ghc-semigroupoids-5.2.1-2.fc27, ghc-tls-1.4.0-1.fc27, ghc-uri-bytestring-0.3.0.1-1.fc27, ghc-x509-1.7.2-1.fc27, ghc-x509-store-1.6.5-1.fc27, ghc-x509-system-1.6.6-1.fc27, ghc-x509-validation-1.6.9-1.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.